package kz.arta.synergy.workflow.mobile.android.forms.general.components.users.model;

import java.io.Serializable;

/**
 * Created by neox on 18.03.16.
 * Группы
 */
public class GroupsModel implements Serializable {

    /**
     * Группы
     */
    private Group[] array;

    /**
     * Общее количество групп
     */
    private int count;

    /**
     * С какой записи начинается список
     */
    private int begin;

    /**
     * Сколько загружено в данный момент
     */
    private int length;

    public Group[] getArray() {
        return array;
    }

    public int getCount() {
        return count;
    }

    public int getBegin() {
        return begin;
    }

    public int getLength() {
        return length;
    }

    public static class Group {

        /**
         * Идентификатор группы
         */
        public int groupID;

        /**
         * Имя группы
         */
        public String name;

        /**
         * Имя родителя
         */
        public String parentName;

        /**
         * Идентификатор родителя
         */
        public int parentID;

        /**
         * Количество групп внутри
         */
        public int innerGroupsCount;
    }
}
